---
name: Leslie Blanchard
locality:
country: Remote
role: <a href="/job-families/marketing/director-field-marketing/">Director of Field
  Marketing</a>
reports_to: akramer
picture: leslieblanchard.jpg
twitter:
gitlab: lblanchard
departments:
- Marketing
- Revenue Marketing
- Field Marketing
story: 'Hailing from North Carolina, Leslie has equal parts zeal for both city-based
  foodie expeditions as she does for riding horseback in the country. A big believer
  that travel can be a transformative experience, Leslie has visited 5 of 7 continents,
  with aspirations of hitting them all. Throughout her career, Leslie has found that
  she is passionate about partnering with sales to grow and retain their customer
  base and she takes pride in getting to know as many customers as possible!

  '

